// JavaScript Document
function Valtext(e) {
    key = e.keyCode || e.which;
    tecla = String.fromCharCode(key).toLowerCase();
    letras = " áéíóúabcdefghijklmnñopqrstuvwxyz";
    especiales = [8, 37, 39, 46];

    tecla_especial = false
    for(var i in especiales) {
        if(key == especiales[i]) {
            tecla_especial = true;
            break;
        }
    }

    if(letras.indexOf(tecla) == -1 && !tecla_especial)
        return false;
}

function ValNumero(e) {
    key = e.keyCode || e.which;
    tecla = String.fromCharCode(key).toLowerCase();
    letras = "0123456789";
    especiales = [8, 37, 39, 46];

    tecla_especial = false
    for(var i in especiales) {
        if(key == especiales[i]) {
            tecla_especial = true;
            break;
        }
    }

    if(letras.indexOf(tecla) == -1 && !tecla_especial)
        return false;
}


	$(document).ready(function(){
		$("#jefe_familia").blur(function(){
			$.post("miarchivo2.php", {"jefe_familia":$("#jefe_familia").val()}, function(data){
				if(data.apellidos){
				var ape= data.apellidos;
				alert("Apellidos: "+ape+" ? ");	
				$("#calle").val(data.calle);
				$("#casa").val(data.casa);
				}
				else{
				$("#jefe_familia").val("");
				alert("Jefe de Familia No esta Registrado");	
				}
			},"json");
		});
	});
	
	$(document).ready(function(){
		$("#rif").blur(function(){
			$.post("miarchivo3.php", {"rif":$("#rif").val()}, function(data){
				if(data.nombre){
				$("#rif").val("");
				alert("Cedula o Rif ya Existe");	
				}
			},"json");
		});
	});